package xyz.wbsite.dbtool.javafx.po;

import java.io.File;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class Doc {
    private boolean check;
    //目标请求对象
    private String request;
    //目标请求响应
    private String response;

    private String type;
    private String module;
    private String target;
    private String method;

    private List<DocReq> reqParams = new ArrayList<>();
    private List<DocReq> rspParams = new ArrayList<>();
    private Map<String, DocEnt> entParams = new HashMap<>();

    private File requestFile;
    private File responseFile;

    private String error = "";

    public boolean isCheck() {
        return check;
    }

    public void setCheck(boolean check) {
        this.check = check;
    }

    public String getRequest() {
        return request;
    }

    public void setRequest(String request) {
        this.request = request;
    }

    public String getResponse() {
        return response;
    }

    public void setResponse(String response) {
        this.response = response;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public String getTarget() {
        return target;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public File getRequestFile() {
        return requestFile;
    }

    public void setRequestFile(File requestFile) {
        this.requestFile = requestFile;
    }

    public File getResponseFile() {
        return responseFile;
    }

    public void setResponseFile(File responseFile) {
        this.responseFile = responseFile;
    }

    public String getError() {
        return error;
    }

    public void setError(String error) {
        this.error = error;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
